﻿.tool-box{
    width: 100%;
    display: block;
    background-color: #f5f5f5;
    min-height: calc(100vh - 80px);
    font-size: 0;
    margin-top: 80px;
}
.tool-banner-app-box{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}
.tool-banner-app-all-box{
    width: 1280px;
    max-width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
}
.tool-banner-app-bc-box{
    width: 500px;
    max-width: 100%;
    height: 100%;
    position: relative;
    background-color: rgba(0,0,0,0.5);
    -webkit-box-shadow: 0 0px 5px rgba(255,255,255,0.35), inset 0px 0px 5px 1px rgba(255,255,255,0.2);
    -moz-box-shadow: 0 0px 5px rgba(255,255,255,0.35), inset 0px 0px 5px 1px rgba(255,255,255,0.2);
    box-shadow: 0 0px 5px rgba(255,255,255,0.35), inset 0px 0px 5px 1px rgba(255,255,255,0.2);
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    transition: all .3s linear;
}
.tool-banner-app-img-box{
    width: 180px;
    height: 180px;
    display: block;
    overflow: hidden;
    border-radius: 5px;
}
.tool-banner-app-img-box span{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.tool-banner-app-name{
    font-size: 18px;
    font-weight: bold;
    color: #fff;
    letter-spacing: 1px;
    margin: 25px 0;
}
.tool-banner-app-btn{
    font-size: 16px;
    font-weight: lighter;
    color: #555;
    letter-spacing: 1px;
    display: block;
    width: 200px;
    line-height: 40px;
    text-align: center;
    background-color: #fff;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    transition: all .3s linear;
}
.tool-all-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    box-sizing: border-box;
    padding: 70px 0;
}
.tool-edit-box{
    background-color: #fff;
    box-sizing: border-box;
    padding: 40px 30px ;
    font-size: 16px;
    color: #555;
    letter-spacing: 1px;
    line-height: 2;
}
.tool-img-box{
    display: block;
    margin-top: 50px;
}
.tool-img{
    width: 620px;
    height: 480px;
    display: inline-block;
    vertical-align: top;
    position: relative;
    overflow: hidden;
    cursor: pointer;
}
.tool-img:nth-child(2){
    margin-left: 40px;
}
.tool-img span{
    width: 100%;
    height: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
}
.tool-img-mask{
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.5);
    opacity: 0;
    transition: all .3s linear;
}
.tool-img-mask i{
    font-size: 20px;
    color: #fff;
    position: absolute;
    bottom: 30px;
    right: 40px;
}


@media only screen and (max-width: 1280px){
    .tool-banner-app-all-box{
        width: 1200px;
    }
    .tool-all-box{
        width: 1200px;
    }
    .tool-img{
        width: 580px;
        height: 449px;
    }
}
@media only screen and (max-width: 1200px){
    .tool-banner-app-all-box{
        width: 1000px;
    }
    .tool-all-box{
        width: 1000px;
    }
    .tool-img{
        width: 480px;
        height: 372px;
    }
    .tool-edit-box{
        padding: 30px 20px;
    }
}
@media only screen and (max-width: 1000px){
    .tool-box{
        margin-top: 69px;
    }
    .tool-banner-app-all-box{
        width: 95%;
    }
    .tool-all-box{
        width: 750px;
        padding: 40px 0;
    }
    .tool-img-box{
        margin-top: 40px;
    }
    .tool-img{
        width: 360px;
        height: 279px;
    }
    .tool-img:nth-child(2){
        margin-left: 30px;
    }
}
@media only screen and (max-width: 750px){
    .tool-all-box{
        width: 550px;
    }
    .tool-img{
        width: 100%;
        height: 426px;
    }
    .tool-img:nth-child(2){
        margin-left: 0px;
        margin-top: 40px;
    }
    .tool-edit-box{
        padding: 15px 20px;
    }
}
@media only screen and (max-width: 550px){
    .tool-banner-app-bc-box{
        width: 100%;
    }
    .tool-banner-app-img-box{
        width: 150px;
        height: 150px;
    }
    .tool-banner-app-name{
        font-size: 16px;
        margin: 15px 0;
    }
    .tool-banner-app-btn{
        font-size: 14px;
        width: 150px;
        line-height: 30px;
    }
    .tool-box{
        margin-top: 59px;
    }
    .tool-all-box{
        width: 400px;
        padding: 20px 0;
    }
    .tool-img-box{
        margin-top: 20px;
    }
    .tool-img{
        width: 100%;
        height: 310px;
    }
    .tool-img:nth-child(2){
        margin-left: 0px;
        margin-top: 20px;
    }
    .tool-edit-box{
        padding: 15px 20px;
        font-size: 14px;
    }
}

@media only screen and (max-width: 400px){
    .tool-all-box{
        width: 300px;
    }
    .tool-edit-box{
        padding: 10px 15px;
        font-size: 12px;
    }
    .tool-img{
        height: 232px;
    }
    .tool-banner-app-img-box{
        width: 120px;
        height: 120px;
    }
    .tool-banner-app-name{
        font-size: 14px;
        margin: 10px 0;
    }
    .tool-banner-app-btn{
        font-size: 12px;
        width: 100px;
        line-height: 24px;
    }
}







/*-------------hover------------*/
.tool-banner-app-bc-box:hover{
    background-color: rgba(0,0,0,0.8);
}
.tool-banner-app-btn:hover{
    background-color: #ddd;
    font-weight: inherit;
}
.tool-img:hover span{
    transform: scale(1.1);
}
.tool-img:hover .tool-img-mask{
    opacity: 1;
} 



/*animation*/
/*<-------------動畫------------->*/


@media only screen and (min-width: 1001px){
    .tool-edit-box,
    .tool-img{
        opacity: 0;
    }
    .tool-edit-box.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .tool-img.anima{
        animation: fade 1s ease 0s 1 both;
    }
}